SbDict.h(3)

NAME
SbDict.h

SYNOPSIS

#include <cstddef>
#include <Inventor/SbBasic.h>

  Classes
class SbDict
The SbDict class organizes a dictionary of keys and values.

  Typedefs
typedef uintptr_t SbDictKeyType
typedef void SbDictApplyFunc(SbDictKeyType key, void *value)
typedef void SbDictApplyDataFunc(SbDictKeyType key, void *value, void *data)
typedef SbDictKeyType SbDictHashingFunc(const SbDictKeyType key)

Typedef Documentation

  uintptr_t SbDictKeyType
The type definition for a dictionary key.

  void SbDictApplyFunc
The type definition of the function to be applied to each entry.

  void SbDictApplyDataFunc
The type definition of the function with associated data that is to be applied to each entry.

  SbDictKeyType SbDictHashingFunc
The type definition of a dictionary hashing function.

Author

Generated automatically by Doxygen for Coin from the source code.